Package twisted :: Package trial :: Module remote

[frames | no frames]

## Module twisted.trial.remote

Remote reporting for Trial.

For reporting test results in a seperate process.

Classes
`_Demo` | Demonstrate trial.remote by spawning trial in a subprocess and displaying results.
`DecodeReport` |
`DemoRemoteReporter` |
`IRemoteReporter` | I am reporting results from a test suite running someplace else.
`JellyReporter` | I report results as a Banana-encoded Jelly stream.
`NullTransport` | Transport to /dev/null.
`OneWayBanana` |
`TrialProcessProtocol` |

Function Summary
| ``demo`()` Make a .tap which will demonstrate trial.remote.

Function Details

### demo()

Make a .tap which will demonstrate trial.remote.

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net